ウェブサイト
GET https://laudits.com/api/websites/
curl --request GET \
--url 'https://laudits.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://laudits.com/api/websites/' \
--header 'Authorization: Bearer {api_key}' \
| パラメータ | 詳細 | 説明 |
|---|---|---|
| search | オプション 文字列 | 検索文字列。 |
| search_by | オプション 文字列 | 検索するフィールドは何ですか。許可されている値は:host。 |
| datetime_field | オプション 文字列 | 許可された値: datetime, last_datetime, last_audit_datetime |
| datetime_start | オプション 文字列 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | オプション 文字列 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | オプション 文字列 | 結果をどのフィールドで並べ替えるか。許可されている値は:website_id, datetime, last_datetime, last_audit_datetime, host, score, total_audits, total_archived_audits, total_issues。 |
| order_type | オプション 文字列 | 結果の並び順。許可されている値は、昇順のためのASCと、降順のためのDESCです。 |
| page | オプション 整数 | 結果を取得したいページ番号。デフォルトは1です。 |
| results_per_page | オプション 整数 | 1ページあたりの結果数はどのくらいにしますか。許可されている値は:10, 25, 50, 100, 250, 500, 1000。デフォルトは25です。 |
{
"data": [
{
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-04-30 14:35:42",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://laudits.com/api/websites?page=1",
"last": "https://laudits.com/api/websites?page=1",
"next": null,
"prev": null,
"self": "https://laudits.com/api/websites?page=1"
}
}
GET https://laudits.com/api/websites/{website_id}
curl --request GET \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"domain_id": 0,
"scheme": "https",
"host": "example.com",
"score": 100,
"total_audits": 10,
"total_archived_audits": 5,
"total_issues": 0,
"major_issues": 0,
"moderate_issues": 0,
"minor_issues": 0,
"last_audit_datetime": "2024-11-10 02:26:19",
"datetime": "2026-04-30 14:35:42",
}
}
POST https://laudits.com/api/websites/{website_id}
| パラメータ | 詳細 | 説明 |
|---|---|---|
| domain_id | オプション 整数 | - |
| password | オプション 文字列 | - |
| is_public | オプション ブール値 | - |
| audit_check_interval | オプション 整数 | 許可された値: {empty_string},21600, 43200, 86400, 259200, 432000, 864000, 1296000, 2592000 (秒) |
| notifications | オプション 配列 | 通知ハンドラーID |
| directory_is_enabled_and_verified | オプション ブール値 | - |
curl --request POST \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_public=1' \
--form 'password=example' \
{
"data": {
"id": 1
}
}
DELETE https://laudits.com/api/websites/{website_id}
curl --request DELETE \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://laudits.com/api/websites/{website_id}' \
--header 'Authorization: Bearer {api_key}' \